# Amazon Bedrock 모델 호출

## 개요

Panther는 수집을 지원합니다 [Amazon Bedrock](https://docs.aws.amazon.com/bedrock/latest/userguide/what-is-bedrock.html) 모델 호출 로그를 AWS CloudWatch 또는 AWS S3를 통해.

## Amazon Bedrock 모델 호출 로그를 Panther에 온보딩하는 방법

Amazon Bedrock 모델 호출 로그를 Panther로 가져오려면 다음을 따르세요. [CloudWatch Logs 및 Amazon S3를 사용하여 모델 호출 모니터링](https://docs.aws.amazon.com/bedrock/latest/userguide/model-invocation-logging.html) AWS 문서를 참고하여 Bedrock 모델 호출 로그가 CloudWatch 또는 S3 버킷으로 전송되도록 구성하세요.

그런 다음 Panther Console에서 새 로그 소스를 설정하여 AWS 계정의 데이터를 스트리밍하세요:

1. Panther Console의 왼쪽 탐색 표시줄에서 **구성** > **로그 소스**.
2. 을 클릭합니다 **Create New.**
3. "Bedrock Model Invocation"을 검색한 다음 해당 타일을 클릭합니다.
4. 에서 **전송 메커니즘** 드롭다운에서 이 통합에 사용할 데이터 전송 방법을 선택합니다: **AWS S3 버킷** 또는 **AWS CloudWatch Logs**.
5. 을 클릭합니다 **Start Setup**.
6. 다음을 따르세요 [데이터 전송을 위해 S3를 구성하는 Panther 문서](/ko/data-onboarding/data-transports/aws/s3.md) 또는 [데이터 전송을 위해 CloudWatch를 구성하는 Panther 문서](/ko/data-onboarding/data-transports/aws/cloudwatch.md).

## Panther에서 관리하는 탐지

참조 [Panther에서 관리하는](/ko/detections/panther-managed.md) Amazon Bedrock 모델 호출 규칙을 다음에서 [panther-analysis GitHub 저장소](https://github.com/panther-labs/panther-analysis/tree/main/rules/aws_bedrockmodelinvocation_rules).

## 지원되는 Amazon Bedrock 모델 호출 로그

### AWS.BedrockModelInvocation

모델 호출 로깅을 사용하면 Amazon Bedrock에서 리전 내 AWS 계정에 대해 이루어진 모든 호출의 호출 로그, 모델 입력 데이터 및 모델 출력 데이터를 수집할 수 있습니다. 자세한 내용은 AWS [CloudWatch Logs 및 Amazon S3를 사용하여 모델 호출 모니터링](https://docs.aws.amazon.com/bedrock/latest/userguide/model-invocation-logging.html) 문서를 참조하세요.

```yaml
스키마: AWS.BedrockModelInvocation
설명: Amazon Bedrock 모델 호출 로그
referenceURL: https://docs.aws.amazon.com/bedrock/latest/userguide/model-invocation-logging.html
필드:
    - name: accountId
      필수: true
      유형: string
      indicators:
        - aws_account_id
    - name: errorCode
      유형: string
    - 이름: identity
      type: object
      필드:
        - name: arn
          유형: string
          indicators:
            - aws_arn
    - 이름: inferenceRegion
      유형: string
    - 이름: input
      type: object
      필드:
        - 이름: cacheReadInputTokenCount
          유형: bigint
        - 이름: cacheWriteInputTokenCount
          유형: bigint
        - 이름: inputBodyJson
          유형: json
        - 이름: inputContentType
          유형: string
        - 이름: inputTokenCount
          유형: bigint
    - 이름: modelId
      필수: true
      유형: string
    - 이름: operation
      유형: string
    - 이름: output
      type: object
      필드:
        - 이름: outputBodyJson
          유형: json
        - 이름: outputVideoDurationSeconds
          type: float
        - 이름: outputVideoFramesPerSecond
          유형: bigint
        - 이름: outputVideoHeight
          유형: bigint
        - 이름: outputVideoS3Path
          유형: string
        - 이름: outputVideoWidth
          유형: bigint
        - 이름: outputContentType
          유형: string
        - 이름: outputTokenCount
          유형: bigint
    - 이름: performanceConfig
      type: object
      필드:
        - 이름: latency
          유형: string
    - name: region
      유형: string
    - 이름: requestId
      유형: string
    - 이름: schemaType
      유형: string
    - 이름: schemaVersion
      유형: string
    - 이름: status
      유형: string
    - name: timestamp
      필수: true
      유형: timestamp
      timeFormats:
        - rfc3339
      isEventTime: true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/aws/bedrock-model-invocation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
